net.sf.jasperreports.compilers

## Class JavaScriptCompiledData

- java.lang.Object
- - net.sf.jasperreports.compilers.JavaScriptCompiledData

- All Implemented Interfaces:
    java.io.Serializable

      public class JavaScriptCompiledData
      extends java.lang.Object
      implements java.io.Serializable

  Compiled Java code for reports that use JavaScript as expression language.
  Version:
    $Id: JavaScriptCompiledData.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JavaScriptClassCompiler`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `JavaScriptCompiledData.CompiledClass`
    `protected static class` | `JavaScriptCompiledData.ExpressionIndexes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptCompiledData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClass(java.lang.String className, byte[] data)`
    `void` | `addExpression(int expressionId, int defaultExpressionIdx, int oldExpressionIdx, int estimatedExpressionIdx)`
    `protected static int` | `expressionId(int expressionIndex)`
    `JavaScriptCompiledData.CompiledClass` | `getCompiledClass(int classIndex)`
    `JavaScriptCompiledData.ExpressionIndexes` | `getExpression(int id)`
    `protected static int` | `makeExpressionIndex(int scriptIndex, int expressionId)`
    `protected static int` | `scriptIndex(int expressionIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaScriptCompiledData

          public JavaScriptCompiledData()

  - ### Method Detail

    - #### makeExpressionIndex

          protected static int makeExpressionIndex(int scriptIndex,
                                int expressionId)

    - #### scriptIndex

          protected static int scriptIndex(int expressionIndex)

    - #### expressionId

          protected static int expressionId(int expressionIndex)

    - #### addExpression

          public void addExpression(int expressionId,
                           int defaultExpressionIdx,
                           int oldExpressionIdx,
                           int estimatedExpressionIdx)

    - #### getExpression

          public JavaScriptCompiledData.ExpressionIndexes getExpression(int id)

    - #### addClass

          public void addClass(java.lang.String className,
                      byte[] data)

    - #### getCompiledClass

          public JavaScriptCompiledData.CompiledClass getCompiledClass(int classIndex)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com